Page MenuHomePhabricator

[NFC] [PSI] explain encoding of PercentileCutoff.
ClosedPublic

Authored by fmayer on Sep 14 2021, 8:56 AM.

Diff Detail

Event Timeline

fmayer created this revision.Sep 14 2021, 8:56 AM
fmayer requested review of this revision.Sep 14 2021, 8:56 AM
Herald added a project: Restricted Project. · View Herald TranscriptSep 14 2021, 8:56 AM
fmayer retitled this revision from [PSI] explain encoding of PercentileCutoff. to [NFC] [PSI] explain encoding of PercentileCutoff..Sep 14 2021, 9:05 AM

mention that the digits are *decimal* somewhere?

fmayer updated this revision to Diff 372656.Sep 15 2021, 1:40 AM

mention it is decimal

mtrofin accepted this revision.Sep 27 2021, 7:40 AM
mtrofin added inline comments.
llvm/include/llvm/Analysis/ProfileSummaryInfo.h
138

I don't think I'd understand what 'whole part' means, but the example is perfectly sufficient. I'd just leave it to the example.

This revision is now accepted and ready to land.Sep 27 2021, 7:40 AM
davidxl accepted this revision.Sep 27 2021, 8:23 AM

lgtm

fmayer marked an inline comment as done.Sep 27 2021, 1:09 PM
fmayer added inline comments.
llvm/include/llvm/Analysis/ProfileSummaryInfo.h
138

I would leave it, it doesn't do harm and is the technical description.

This revision was automatically updated to reflect the committed changes.
fmayer marked an inline comment as done.